﻿using System;
using System.Threading;

namespace TestModalDialog
{

    class Program
    {
        private const string testExePath = @"..\..\..\WpfApplication1\bin\Debug\WpfApplication1.exe";
        const int maxIterations = 25;
      
        private static void Main(string[] args)
        {
            Console.WriteLine("Press <Return> to start");
            Console.ReadLine();
           
            AppWrap.Start(testExePath, "");
           
            for (int i = 0; i < maxIterations; i++)
            {
                Console.WriteLine("Loop {0}", i + 1);

                AppWrap.MainWindow.ButtonToClick.User.Click();
                Thread.Sleep(5000);
                AppWrap.MainWindow.HideModeless();
            }

            AppWrap.Close();

            Console.WriteLine("Press <Return> to exit");
            Console.ReadLine();
        }
    }
}
